E-MailRelay

Public Types | Public Member Functions | List of all members
GNet::DnsMessageRequest Class Reference

Represents a DNS query message. More...

`#include <gdnsmessage.h>`

## Public Types
using | RR = DnsMessageRR

## Public Member Functions
| DnsMessageRequest (const std::string &type, const std::string &hostname, unsigned int id=0U)
| Constructor. More...
const char * | p () const
| Returns a pointer to the message data. More...
std::size_t | n () const
| Returns message size. More...

## Detailed Description

Represents a DNS query message.

Definition at line 268 of file gdnsmessage.h.

## Member Typedef Documentation

## ◆ RR

using GNet::DnsMessageRequest::RR = DnsMessageRR

Definition at line 271 of file gdnsmessage.h.

## Constructor & Destructor Documentation

## ◆ DnsMessageRequest()

GNet::DnsMessageRequest::DnsMessageRequest | ( | const std::string & | type,
|  | const std::string & | hostname,
|  | unsigned int | id = `0U`
| ) |  |

Constructor.

Definition at line 32 of file gdnsmessage.cpp.

## Member Function Documentation

## ◆ n()

std::size_t GNet::DnsMessageRequest::n | ( |  | ) | const

Returns message size.

Definition at line 83 of file gdnsmessage.cpp.

## ◆ p()

const char * GNet::DnsMessageRequest::p | ( |  | ) | const

Returns a pointer to the message data.

Definition at line 78 of file gdnsmessage.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.cpp